org.gradle.api.plugins.jetty

## Class JettyPluginConvention

- java.lang.Object
- - org.gradle.api.plugins.jetty.JettyPluginConvention

-     public class JettyPluginConvention
      extends Object

  Convention properties and methods added by the `JettyPlugin`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JettyPluginConvention()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getHttpPort()` Returns the TCP port for Jetty to listen on for incoming HTTP requests.
    `String` | `getStopKey()` Returns the key to use to stop Jetty.
    `Integer` | `getStopPort()` Returns the TCP port for Jetty to listen on for stop requests.
    `void` | `setHttpPort(Integer httpPort)`
    `void` | `setStopKey(String stopKey)`
    `void` | `setStopPort(Integer stopPort)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JettyPluginConvention

          public JettyPluginConvention()

  - ### Method Detail

    - #### getHttpPort

          public Integer getHttpPort()

      Returns the TCP port for Jetty to listen on for incoming HTTP requests.

    - #### setHttpPort

          public void setHttpPort(Integer httpPort)

    - #### getStopPort

          public Integer getStopPort()

      Returns the TCP port for Jetty to listen on for stop requests.

    - #### setStopPort

          public void setStopPort(Integer stopPort)

    - #### getStopKey

          public String getStopKey()

      Returns the key to use to stop Jetty.

    - #### setStopKey

          public void setStopKey(String stopKey)